#### Description:

This function returns the reference position (specified by attributes RefRA and RefDec) converted to the celestial coordinate system represented by a supplied SkyFrame. The celestial longitude and latitude values are returned in radians.

#### Synopsis

void astGetRefPos( AstSpecFrame ∗this, AstSkyFrame ∗frm, double ∗lon, double ∗lat )

#### Parameters:

##### this

Pointer to the SpecFrame.

##### frm

Pointer to the SkyFrame which defines the required celestial coordinate system. If NULL is supplied, then the longitude and latitude values are returned as FK5 J2000 RA and Dec values.

##### lon

A pointer to a double in which to store the longitude of the reference point, in the coordinate system represented by the supplied SkyFrame (radians).

##### lat

A pointer to a double in which to store the latitude of the reference point, in the coordinate system represented by the supplied SkyFrame (radians).

#### Notes:

- Values of AST__BAD will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory